
.PingPanel {
	position: absolute;
	top: 8vh;
	right: 8px;
	z-index:1001;
}

.PingPopup {
	display:block;
	z-index:1001;
	float:right; clear:both;
	border:2px solid black;
	border-radius: 1em;
	font-size: 1.2vw;
	font-family:sans-serif;
	color:black;
	background-color:white;
	box-shadow: 14px 14px 12px rgba(0,0,0, 0.5);
}
.PingPopupTitle {
	background-color:#f0f0f0;
	border-top-left-radius:1em;
	border-top-right-radius:1em;
	padding: .1em .5em .4em .5em;
	margin:1px;
}
.PingPopupName {
	color:blue;
	font-weight: bold;
	font-family: "Arial Narrow", Ariel, sans-serif;
	display: inline-block;	
}
.PingPopupTime {
	font-family: "Arial Narrow", Ariel, sans-serif;
	font-size:90%;
}
.PingPopupTimeAdd {
	font-family: sans-serif;
	font-weight: bold;
	margin-left: -.3em;
	color: blue;
}
.PingPopupTimeAM {
	font-size:70%;
	position: relative;
	top: -0.5em;
}

.PingPopupX {
	font-weight:bold;
	font-size:115%;
	float:right;
}
.ChatPopupTextContainer {
	padding:0 .5em .3em .5em;
	overflow: auto;
	max-height: 33vh;
}
.ChatPopupText {
	clear:both;
	position: relative;
	font-style:italic;
}
.ChatPopupTextAdd {
	border-top: 1px solid black;
}
.ChatPopupTextRecv {
	text-align:left;
	background-color:#ffffff;
}
.ChatPopupTextSent {
	text-align:right;
	background-color:#ffffe8;
}
.ChatPopupInputBox {
	clear:both;
	position: relative;
	padding:0 0.5em 0.5em 0.5em;
}
.TelePopupText {
	clear:both;
	text-align:center;
	position:relative;
	font-style:italic;
	padding:0 .5em .3em .5em;
}
.PingPopupConfirm {
	clear:both;
	font-size:90%;
	text-align:center;
	position:relative;
	font-style:italic;
	padding:0 .5em .3em .5em;
}
.TelePopupNumber {
	font-size:110%;
	font-weight:bold;
}
.TelePopupIcon {
	position: absolute;
	top:4px; right:0.5em;
	max-height:2em;
}
.TelePopupCheck {
	position: absolute;
	top:4px; left:0.5em;
	max-height:1.5em;
}
.ZoomPopupText {
	clear:both;
	text-align:left;
	position:relative;
	font-style:italic;
	padding:0.3em 0.5em 0.4em 1.5em;
}
.ZoomPopupIcon {
	position: absolute;
	top:-5px; right:.3em;
	max-height: 1.9em;
}

.PromptPopup {
	display:block;
	z-index:4001;
	float:right; clear:both;
	border:2px solid black;
	border-radius: 1em;
	font-size: 1.2vw;
	font-family:sans-serif;
	color:black;
	background-color:white;
	box-shadow: 14px 14px 12px rgba(0,0,0, 0.5);
}
.PromptPopupTitle {
	background-color:#f0f0f0;
	border-top-left-radius:1em;
	border-top-right-radius:1em;
	padding: .1em .5em .4em .5em;
	margin:1px;
}
.PromptPopupName {
	color:black;
	font-weight: bold;
	font-family: "Arial Narrow", Ariel, sans-serif;
	display: inline-block;	
}
.PromptPopupX {
	font-weight:bold;
	font-size:115%;
	float:right;
}
.PromptPopupInputBox {
	clear:both;
	position: relative;
	padding:0 0.5em 0.5em 0.5em;
}
.PromptPopupInput {
	font-size: 1.3vw;
}

.PopupMessage {
	display:block;
	z-index:4101;
	border:2px solid black;
	border-radius: 1em;
	font-size: 1.2vw;
	padding: 4px 8px;
	font-family:sans-serif;
	color:black;
	background-color:white;
	box-shadow: 14px 14px 12px rgba(0,0,0, 0.5);
}

